/*
  Microcontroller = PIC12F635
  Internal Clock @ 4.0 MHz
*/
sbit Sensor_IP at GP5_bit; // Switch I/P
sbit LED at GP4_bit;       // LED O/P
unsigned short trigger, counter;
void Get_Delay(){
 Delay_ms(300);
}
void main() {
 CMCON0 = 7;
 TRISIO = 0b00101000;  // GP5, 5 I/P's, Rest O/P's
 GPIO = 0;
 Sound_Init(&GPIO,2);
 // Blink LED at Power On
 LED = 1;
 Get_Delay();
 LED = 0;
 Get_Delay();
 LED = 1;
 Get_Delay();
 LED = 0;
 Get_Delay();
 LED = 1;
 Get_Delay();
 LED = 0;
 Delay_ms(30000);
 counter = 0;
 trigger = 0;
 do {
   while (!Sensor_IP) {  // Switch I/P Low
    Sound_Play(3500, 600);
    Delay_ms(500);
    trigger = 1;
    counter = 0;
   }
   if (trigger) {
    Sound_Play(2900, 600);
    Delay_ms(500);
    counter = counter+1;
    if(counter == 10) trigger=0;
   }
 }while(1);
}  // End main()